Package com.orchestranetworks.ui

# Interface UIRequestContext

All Superinterfaces:
  `UIContext`

@Deprecated public interface UIRequestContext extends UIContext
Deprecated.
From 5.8.0, please use the new API `UICustomWidget` instead.
Encapsulates an HTTP request so that a bean editor can provide the user input validation context.

See Also:
  - `UIBeanEditor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOptionalRequestParameterValue(String aParameterName)`
  Deprecated.
  Replaced by `WidgetDisplayContext.getOptionalRequestParameterValue(String)`.
  `String[]`
  `getOptionalRequestParameterValues(String aParameterName)`
  Deprecated.
  Replaced by `WidgetDisplayContext.getOptionalRequestParameterValues(String)`.
  `ValueContextForInputValidation`
  `getValueContext()`
  Deprecated.
  Replaced by `WidgetDisplayContext.getValueContext()`.
  `ValueContextForInputValidation`
  `getValueContext(Path aPath)`
  Deprecated.
  Replaced by `WidgetDisplayContext.getValueContext(Path)`.

  ### Methods inherited from interface com.orchestranetworks.ui.UIContext

  `displayOccurrence, getHierarchyMember, getHierarchyNode, getLocale, getNode, getNode, getPathForListOccurrence, getPathForListOccurrence, getPathInAdaptation, getSession, getValue, getValue, getWebName, getWebNameFor, getWebNameForPath, getWebNameOfParent, isCreatingRecord, isDuplicatingRecord`

- ## Method Details

  - ### getValueContext

    @Deprecated ValueContextForInputValidation getValueContext()
    Deprecated.
    Replaced by `WidgetDisplayContext.getValueContext()`. Replaced by `WidgetValidationContext.getValueContext()`.
    Returns the local validation context, relative to the node contained by this component.

  - ### getValueContext

    @Deprecated ValueContextForInputValidation getValueContext(Path aPath)
    Deprecated.
    Replaced by `WidgetDisplayContext.getValueContext(Path)`. Replaced by `WidgetValidationContext.getValueContext(Path)`.

  - ### getOptionalRequestParameterValue

    @Deprecated String getOptionalRequestParameterValue(String aParameterName)
    Deprecated.
    Replaced by `WidgetDisplayContext.getOptionalRequestParameterValue(String)`. Replaced by `WidgetValidationContext.getOptionalRequestParameterValue(String)`.
    Returns the HTTP parameter value in the incoming request.

  - ### getOptionalRequestParameterValues

    @Deprecated String[] getOptionalRequestParameterValues(String aParameterName)
    Deprecated.
    Replaced by `WidgetDisplayContext.getOptionalRequestParameterValues(String)`. Replaced by `WidgetValidationContext.getOptionalRequestParameterValue(String)`.
    Returns the HTTP parameter values in the incoming request.